{% extends 'base_navbar.html' %}
{% load static icon %}

{% block title %}
    Clients
{% endblock %}

{% block navbar_tresorerie %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <header>
        <h1>Clients</h1>
        <div class="header-content">
            <p>
                Si vous souhaitez supprimer un client, vous devez d'abord supprimer
                toutes les factures qui lui sont associées.
            </p>
        </div>
    </header>

    <div class="container-fluid">
        <h2 class="title">
            Liste des clients
            <button class="btn btn-outline-dark" onclick="location.href='{% url 'create_client' %}'">
                <i class="fas fa-plus-circle"></i> Ajouter un client
            </button>
        </h2>
        {% for client in clients %}
            <div class="card card-lg">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h3>{{ client }}</h3>
                            {% if client.utilisateurs.all %}
                                Utilisateur{{ client.utilisateurs.all|length|pluralize }} lié
                                {{ client.utilisateurs.all|length|pluralize }} :
                                <ul>
                                    {% for utilisateur in client.utilisateurs.all %}
                                        <li>
                                            <a href="{% url 'admin_user' utilisateur.id %}">{{ utilisateur.nomComplet }}</a>
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                        </div>
                        <div class="col-md-2">
                            <div class="btn-group">
                                <a class="btn btn-dark" href="{% url 'edit_client' client.id %}">Modifier</a>
                                {% if not client.est_lie %}
                                    <a class="btn btn-danger" href="{% url 'supprimer_client' client.id %}"
                                       data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                       data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                       data-title="Voulez vous vraiment supprimer le client ?">Supprimer</a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}


{% block footer_javascript %}
    {# Plugin confirmation box #}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

    <script type="text/javascript">
        $(function () {
            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]'
            });
        });
    </script>
{% endblock %}
